package kernel.function;

import kernel.Cell;
import kernel.Formula;

import java.util.ArrayList;

abstract public class Function extends Formula {

    protected ArrayList<Cell> listCells = new ArrayList<>();

    abstract public String getDevelopedFormula();

    abstract public String toString();

    abstract public Double eval();

    public Boolean createCycle(Cell cell) {
        return this.listCells.contains(cell);
    }
}
